# pydicom.datadict.dictionary_is_retired

pydicom.datadict.dictionary_is_retired(tag: Union[int, str, Tuple[int, int], pydicom.tag.BaseTag]) → bool

  Return `True` if the element corresponding to tag is retired.

  Only performs the lookup for official DICOM elements.

  Parameters

    tag (int) – The tag for the element whose retirement status is being checked.

  Returns

    `True` if the element’s retirement status is ‘Retired’, `False` otherwise.

  Return type

    bool

  Raises

    KeyError – If the tag is not present in the DICOM data dictionary.